aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--Makefile5
-rwxr-xr-xpastebin/new.sh23
-rw-r--r--pastebin/skeleton.org5
-rw-r--r--pastebin/template.org (renamed from pastebin-template.org)0
4 files changed, 33 insertions, 0 deletions
diff --git a/Makefile b/Makefile
index c64c4c8..9b9cc69 100644
--- a/Makefile
+++ b/Makefile
@@ -20,6 +20,11 @@ publish:
rsync --verbose --copy-links --progress --stats --update --recursive result/ root@euandre.org:/home/user-data/www/default
.PHONY: publish
+## Create a new pastebin file from the template.
+pastebin:
+ @./pastebin/new.sh
+.PHONY: pastebin
+
# Taken from https://gist.github.com/klmr/575726c7e05d8780505a
# Inspired by <http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html>
diff --git a/pastebin/new.sh b/pastebin/new.sh
new file mode 100755
index 0000000..b792e33
--- /dev/null
+++ b/pastebin/new.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+set -eo pipefail
+cd "$(dirname ${BASH_SOURCE[0]})"
+
+OUTDIR="../site/pastebin"
+
+# Taken from:
+# https://stackoverflow.com/a/49035906
+slugify () {
+ echo "$1" | iconv -t ascii//TRANSLIT | sed -r s/[~\^]+//g | sed -r s/[^a-zA-Z0-9]+/-/g | sed -r s/^-+\|-+$//g | tr A-Z a-z
+}
+
+if [[ -z "$1" ]]; then
+ printf "Type the pastebin title: "
+ read title
+else
+ title="$1"
+fi
+
+slug=$(slugify "$title")
+
+export title
+cat skeleton.org | envsubst > "$OUTDIR/$slug.org"
diff --git a/pastebin/skeleton.org b/pastebin/skeleton.org
new file mode 100644
index 0000000..8349906
--- /dev/null
+++ b/pastebin/skeleton.org
@@ -0,0 +1,5 @@
+#+SETUPFILE: ../../pastebin/template.org
+#+TITLE: $title
+#+BEGIN_SRC FIXME -n
+FIXME
+#+END_SRC
diff --git a/pastebin-template.org b/pastebin/template.org
index 3856724..3856724 100644
--- a/pastebin-template.org
+++ b/pastebin/template.org